HP 4620 print problem

Asked by Narain Scott on 2013-04-09

Ubuntu 12.10
HP Officejet 4620
hp-check[3155]: info: :
hp-check[3155]: info: :HP Linux Imaging and Printing System (ver. 3.13.4)
hp-check[3155]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[3155]: info: :
hp-check[3155]: info: :Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
hp-check[3155]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[3155]: info: :This is free software, and you are welcome to distribute it
hp-check[3155]: info: :under certain conditions. See COPYING file for more details.
hp-check[3155]: info: :
hp-check[3155]: info: :Note: hp-check can be run in three modes:
hp-check[3155]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the
hp-check[3155]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
hp-check[3155]: info: :are installed to successfully compile HPLIP.
hp-check[3155]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro
hp-check[3155]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
hp-check[3155]: info: :has the proper dependencies installed to successfully run.
hp-check[3155]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode
hp-check[3155]: info: :will check both of the above cases (both compile- and run-time dependencies).
hp-check[3155]: info: :
hp-check[3155]: info: :Check types:
hp-check[3155]: info: :a. EXTERNALDEP - External Dependencies
hp-check[3155]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[3155]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[3155]: info: :d. [All are run-time checks]
hp-check[3155]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[3155]: info: :
hp-check[3155]: info: :Status Types:
hp-check[3155]: info: : OK
hp-check[3155]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[3155]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[3155]: info: :
hp-check[3155]: info: :
hp-check[3155]: info: :---------------
hp-check[3155]: info: :| SYSTEM INFO |
hp-check[3155]: info: :---------------
hp-check[3155]: info: :
hp-check[3155]: info: : Kernel: 3.5.0-26-generic #42-Ubuntu SMP Fri Mar 8 23:20:06 UTC 2013 GNU/Linux
 Host: #narain-Extensa-4420
narain
 Proc: 3.5.0-26-generic #42-Ubuntu SMP Fri Mar 8 23:20:06 UTC 2013 GNU/Linux
 Distribution: ubuntu 12.10
hp-check[3155]: info: : Bitness: 32 bit

hp-check[3155]: info: :
hp-check[3155]: info: :-----------------------
hp-check[3155]: info: :| HPLIP CONFIGURATION |
hp-check[3155]: info: :-----------------------
hp-check[3155]: info: :
hp-check[3155]: info: :HPLIP-Version: HPLIP 3.13.4
hp-check[3155]: info: :HPLIP-Home: /usr/share/hplip
hp-check[3155]: info: :HPLIP-Installation: Auto installation is supported for ubuntu distro 12.10 version
hp-check[3155]: info: :
hp-check[3155]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[3155]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.13.4

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.13.4
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.13.4
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=yes
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no

hp-check[3155]: info: :
hp-check[3155]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[3155]: info: :Plugins are not installed. Could not access file: No such file or directory
hp-check[3155]: info: :
hp-check[3155]: info: :Current contents of '~/.hplip/hplip.conf' file:
warning: Could not access file: No such file or directory
hp-check[3155]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Versi
on> <Status> <Comment>
hp-check[3155]: info: :
hp-check[3155]: info: :--------------------------
hp-check[3155]: info: :| External Dependencies |
hp-check[3155]: info: :--------------------------
hp-check[3155]: info: :
hp-check[3155]: info: :
hp-check[3155]: info: :Current contents of '~/.hplip/hplip.conf' file:
warning: Could not access file: No such file or directory
hp-check[3155]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status>
<Comment>
hp-check[3155]: info: :
hp-check[3155]: info: :--------------------------
hp-check[3155]: info: :| External Dependencies |
hp-check[3155]: info: :--------------------------
hp-check[3155]: info: :
hp-check[3155]: info: : gs Ghostscript REQUIRED 7.05 9.06 OK -
hp-check[3155]: info: : network Network-wget OPTIONAL - 1.13.4 OK -
hp-check[3155]: info: : dbus DBus REQUIRED - 1.6.4 OK -
hp-check[3155]: info: : scanimage Shell-Scanning OPTIONAL 1.0 1.0.23 OK -
hp-check[3155]: info: : policykit Admin-Policy-framework OPTIONAL - 0.104 OK -
hp-check[3155]: info: : xsane SANE-GUI OPTIONAL 0.9 0.998 OK -
hp-check[3155]: info: : cups CUPS REQUIRED 1.1 1.6.1 OK '
CUPS Scheduler is running'
hp-check[3155]: info: :
hp-check[3155]: info: :-------------------------
hp-check[3155]: info: :| General Dependencies |
hp-check[3155]: info: :-------------------------
hp-check[3155]: info: :
hp-check[3155]: info: : reportlab Python-PDF-Lib OPTIONAL 2.0 2.5 OK -
hp-check[3155]: info: : libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
hp-check[3155]: info: : pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
hp-check[3155]: info: : pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.9.3 OK -
hp-check[3155]: info: : libjpeg JPEG-Lib REQUIRED - - OK -
hp-check[3155]: info: : libpthread POSIX-Threads-Lib REQUIRED - 2.15 OK -
hp-check[3155]: info: : python-dbus Python-DBUS REQUIRED 0.80.0 1.1.1 OK -
hp-check[3155]: info: : python-devel Python-SDK REQUIRED 2.2 2.7.3 OK -
hp-check[3155]: info: : pyqt4 Python-Qt4 REQUIRED 4.0 4.9.3 OK -
hp-check[3155]: info: : cups-devel CUPS-SDK REQUIRED - 1.6.1 OK -
hp-check[3155]: info: : sane-devel SANE-SDK REQUIRED - 1.0.23 OK -
hp-check[3155]: info: : libusb USB-Lib REQUIRED - 1.0 OK -
hp-check[3155]: info: : sane Scan-Lib REQUIRED - 1.0.23 OK -
hp-check[3155]: info: : cups-image CUPS-Image-Lib REQUIRED - 1.6.1 OK -
hp-check[3155]: info: : libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.4.3 OK -
hp-check[3155]: info: : python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
hp-check[3155]: info: : python-notify Desktop-notifications OPTIONAL - - OK -
hp-check[3155]: info: :
hp-check[3155]: info: :------------------------------
hp-check[3155]: info: :| Compile Time Dependencies |
hp-check[3155]: info: :------------------------------
hp-check[3155]: info: :
hp-check[3155]: info: : gcc gcc-Compiler REQUIRED - 4.7.2 OK -
hp-check[3155]: info: : libtool Build-tools REQUIRED - 2.4.2 OK -
hp-check[3155]: info: : make GNU-Build-tools REQUIRED 3.0 3.81 OK -
hp-check[3155]: info: :
hp-check[3155]: info: :----------------------
hp-check[3155]: info: :| Python Extentions |
hp-check[3155]: info: :----------------------
hp-check[3155]: info: :
hp-check[3155]: info: : cupsext CUPS-Extension REQUIRED - 3.13.4 OK -
hp-check[3155]: info: : pcardext PhotoCard-Extension REQUIRED - 3.13.4 OK -
hp-check[3155]: info: : hpmudext IO-Extension REQUIRED - 3.13.4 OK -
hp-check[3155]: info: :
hp-check[3155]: info: :-----------------------
hp-check[3155]: info: :| Scan Configuration |
hp-check[3155]: info: :-----------------------
hp-check[3155]: info: :
hp-check[3155]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.13.4 OK '
hpaio found in /etc/sane.d/dll.conf'
hp-check[3155]: info: : scanext Scan-SANE-Extension REQUIRED - 3.13.4 OK -
hp-check[3155]: info: :
hp-check[3155]: info: :------------------------------
hp-check[3155]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[3155]: info: :------------------------------
hp-check[3155]: info: :
hp-check[3155]: info: :device `hpaio:/net/Officejet_4620_series?zc=HP38EAA759D347' is a Hewlett-Packard Officejet_4620_series all-i
n-one

hp-check[3155]: info: :
hp-check[3155]: info: :--------------------------
hp-check[3155]: info: :| DISCOVERED USB DEVICES |
hp-check[3155]: info: :--------------------------
hp-check[3155]: info: :
hp-check[3155]: info: :No devices found.
hp-check[3155]: info: :
hp-check[3155]: info: :---------------------------------
hp-check[3155]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[3155]: info: :---------------------------------
hp-check[3155]: info: :
hp-check[3155]: info: :
hp-check[3155]: info: :Officejet_4620_3
hp-check[3155]: info: :----------------
hp-check[3155]: info: :Type: Printer
hp-check[3155]: info: :Device URI: hp:/net/Officejet_4620_series?zc=HP38EAA759D347
hp-check[3155]: info: :PPD: /etc/cups/ppd/Officejet_4620_3.ppd
hp-check[3155]: info: :PPD Description: HP Officejet 4620 Series, hpcups 3.13.4
hp-checkready to print:Printer status: printer Officejet_4620_3 is idle. enabled since Tue 09 Apr 2013 02:06:56 PM EDT
hp-check[3155]: info: :Communication status: Good
hp-check[3155]: info: :
hp-check[3155]: info: :Officejet_4620_fax_2
hp-check[3155]: info: :--------------------
hp-check[3155]: info: :Type: Fax
hp-check[3155]: info: :Device URI: hpfax:/net/Officejet_4620_series?zc=HP38EAA759D347
hp-check[3155]: info: :PPD: /etc/cups/ppd/Officejet_4620_fax_2.ppd
hp-check[3155]: info: :PPD Description: HP Fax4 hpcups
hp-check[3155]: info: :Printer status: printer Officejet_4620_fax_2 is idle. enabled since Tue 09 Apr 2013 11:49:18 AM EDT
hp-check[3155]: info: :Communication status: Good
hp-check[3155]: info: :
hp-check[3155]: info: :
hp-check[3155]: info: :--------------
hp-check[3155]: info: :| PERMISSION |
hp-check[3155]: info: :--------------
hp-check[3155]: info: :
hp-check[3155]: info: :groups user-groups Required - - OK root lp lpadmin

hp-check[3155]: info: :
hp-check[3155]: info: :-----------
hp-check[3155]: info: :| SUMMARY |
hp-check[3155]: info: :-----------
hp-check[3155]: info: :
hp-check[3155]: info: :Missing Required Dependencies
hp-check[3155]: info: :
hp-check[3155]: info: :groups user-groups Required - - OK root lp lpadmin

hp-check[3155]: info: :
hp-check[3155]: info: :-----------
hp-check[3155]: info: :| SUMMARY |
hp-check[3155]: info: :-----------
hp-check[3155]: info: :
hp-check[3155]: info: :Missing Required Dependencies
hp-check[3155]: info: :-----------------------------
hp-check[3155]: info: :None
hp-check[3155]: info: :
hp-check[3155]: info: :Missing Optional Dependencies
hp-check[3155]: info: :-----------------------------
hp-check[3155]: info: :None

hp-check[3155]: info: :
hp-check[3155]: info: :Total Errors: 0
hp-check[3155]: info: :Total Warnings: 1
hp-check[3155]: info: :
hp-check[3155]: info: :
hp-check[3155]: info: :Done.

Problem description: I have a 4620 connected through 802.11. When I use hp-systray or hp-testpage to send it a test page (or try to print anything else for that matter) what prints is a page with "@PJL SET JOBATTR=" etc, followed by a page or pages of pixels in tight bands from the leftmost margin. It's as if the printer is not understanding the print stream at all. I have installed the latest hplip but I do see errors from hp-check:
hp-check[3155]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[3155]: info: :Plugins are not installed. Could not access file: No such file or directory
hp-check[3155]: info: :
hp-check[3155]: info: :Current contents of '~/.hplip/hplip.conf' file:
warning: Could not access file: No such file or directory
While these seem like a problem, I'm at a loss what to do about them. Please help.

Question information

Language:
English Edit question
Status:
Open
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2013-04-10
Last reply:
2013-04-10
Narain Scott (narainscott) said : #1

I found hplip.conf in /etc/hp and copied it to /usr/share/hplip so hp-check -t returned:
hp-check[3155]: info: :| HPLIP CONFIGURATION |
hp-check[3155]: info: :-----------------------
hp-check[3155]: info: :
hp-check[3155]: info: :HPLIP-Version: HPLIP 3.13.4
hp-check[3155]: info: :HPLIP-Home: /usr/share/hplip
hp-check[3155]: info: :HPLIP-Installation: Auto installation is supported for ub
untu distro 12.10 version
hp-check[3155]: info: :
hp-check[3155]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[3155]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.13.4

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.13.4
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.13.4
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=yes
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no

I then restarted the system but got the same result.

Hi Narain Scott,

Please ignore the '/var/lib/hp/hplip.state' and '~/.hplip/hplip.conf' files missing warning and these are just state files.

Please try following.
1) Remove the print queue using "-" icon from hp-toolbox
2) Add the print Queue using hp-setup
--> As IP already acquired by printer (IP address displays on panel), run following command
$ hp-setup <IPaddress>

3) try printing.

If problem persists, can you please provide some more logs by running hp-logcapture command

$ sudo hp-logcapture

Attach the logs by creating Bug report in this launchpad as files can't be attached in question.

Thanks & Regards,
Amarnath

Narain Scott (narainscott) said : #3

Added link to bug report 1167484 which has hp-logcapture output attached.

Narain Scott (narainscott) said : #4

Hi Amarnath,
 Tried your suggestion but got same results so I have opened bug report 1167484.
 Thank you,
   Narain

Narain Scott (narainscott) said : #5

On 04/10/2013 01:11 AM, Amarnath Chitumalla wrote:

Hi Amarnath,
  I followed your suggestion but got the same results. So I opened bug
report 1167484
and linked it to the question and added a comment. I have
attached the two pages that print out when I attempt to print a test
page. I get the same junk from anything I try to print.
   Thanks again,
     Narain
> Your question #226300 on HPLIP changed:
> https://answers.launchpad.net/hplip/+question/226300
>
> Status: Open => Answered
>
> Amarnath Chitumalla proposed the following answer:
> Hi Narain Scott,
>
> Please ignore the '/var/lib/hp/hplip.state' and '~/.hplip/hplip.conf'
> files missing warning and these are just state files.
>
> Please try following.
> 1) Remove the print queue using "-" icon from hp-toolbox
> 2) Add the print Queue using hp-setup
> --> As IP already acquired by printer (IP address displays on panel), run following command
> $ hp-setup <IPaddress>
>
> 3) try printing.
>
> If problem persists, can you please provide some more logs by running
> hp-logcapture command
>
> $ sudo hp-logcapture
>
> Attach the logs by creating Bug report in this launchpad as files can't
> be attached in question.
>
> Thanks & Regards,
> Amarnath
>

Narain Scott (narainscott) said : #6

Oops, it looks like my attached files did not accompany my email reply. If you did not see them and want to see them, send me an email at <email address hidden>.
 Thanks

Narain Scott (narainscott) said : #7

I attached to the bug report the scans of the 2 pages that printed out from a test page attempt .

Can you help with this problem?

Provide an answer of your own, or ask Narain Scott for more information if necessary.

To post a message you must log in.